CH(4) | Device Drivers Manual | CH(4)

# NAME

`ch` — SCSI media changer driver

# SYNOPSIS

`ch* at scsibus? target ? lun ?`

# DESCRIPTION

The `ch` driver is essentially an ioctl(2) interface to a robot on a SCSI bus - a device that will change media (e.g. tapes, CD-ROMs, etc) in and out of drives for that media. The chio(1) utility program uses this interface to manipulate such robots.

# FILES

/dev/ch u
  SCSI bus media changer unit u

/usr/include/sys/chio.h

# DIAGNOSTICS

ch%d: waiting %d seconds for changer to settle...
  Some changers require a long time to settle out, to do tape inventory, for instance.
ch%d: offline
  The changer is not responding.
ch%d: warning, READ ELEMENT STATUS avail != count
ch%d: could not sense element address page
ch%d: could not sense capabilities page

# SEE ALSO

chio(1), ioctl(2), cd(4), intro(4), scsi(4), st(4)

# AUTHORS

Jason R. Thorpe

June 10, 1998 | NetBSD 11.99